{% extends 'basepartials/base.html' %}
{% load static %}
{% load form_tags %}
{% block title %}Gestor de Archivos{% endblock %}
{% block extra_style %}
<link href="{% static 'vendor/datatable/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet"/>
<link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.3/css/responsive.bootstrap4.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/select/1.2.7/css/select.bootstrap4.min.css">
<style>
    .label-block {
        display: block;
    }
</style>

{% endblock %}
{% block content %}
<div class="container container-full">
    <div class="card" style="padding: 0;" id="panel-files">
        <div class="card-header">
            <h4 class="card-title">Búsqueda de Archivos</h4>
        </div>
        <div class="card-body" style="margin: 0;">
            <form role="form" method="get" action=".">
                <div class="row">
                    <div class="col-sm-5">
                        <div class="form-group">
                            {{ filter.form.type.label_tag }}
                            {{ filter.form.type|addcss:"form-control" }}
                        </div>
                    </div>
                    <div class="offset-sm-2 col-sm-5">
                        <div class="form-group">
                            {{ filter.form.client.label_tag }}
                            {{ filter.form.client|addcss:"form-control" }}
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <div class="form-group">
                            {{ filter.form.product.label_tag }}
                            {{ filter.form.product|addcss:"form-control" }}
                        </div>
                    </div>
                    <div class="offset-sm-2 col-sm-5">
                        <div class="form-group">
                            {{ filter.form.subproduct.label_tag }}
                            {{ filter.form.subproduct|addcss:"form-control" }}
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <div class="form-group">
                            {{ filter.form.user.label_tag }}
                            {{ filter.form.user|addcss:"form-control" }}
                        </div>
                    </div>
                    <div class="offset-sm-2 col-sm-5">
                        <div class="form-group">
                            {{ filter.form.code_opportunity.label_tag }}
                            {{ filter.form.code_opportunity|addcss:"form-control" }}
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label for="id_dates_0" style="display: block; margin-bottom: .5rem;">Intérvalo de
                                Fechas</label>
                            <div class="text-center">
                                {{ filter.form.dates|addcss:"form-control" }}
                            </div>

                        </div>
                    </div>
                    <div class="col-sm-6 text-center">
                        <a href="{% url 'sale_opportunity:so-filter-files' %}" class="btn btn-info center-block">
                            Limpiar
                        </a>
                    </div>
                    <div class="col-sm-6 text-center">
                        <button type="submit" class="btn btn-primary center-block">
                            Buscar
                        </button>
                    </div>
                </div>
            </form>
            <hr>
            <!--<div class="text-center">-->
                 <!--<h4 class="card-title">Lista de Archivos</h4>-->
            <!--</div>-->
            <div class="row">
                <div class="col-md-12">
                    <table id="files" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0"
                           width="100%">
                        <thead>
                        <tr style="background-color: #337ab7;color: white;">
                            <th></th>
                            <th>Código</th>
                            <th>Descripción</th>
                            <th>Tipo</th>
                            <th>Oportunidad de Venta</th>
                            <th>Archivo</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for file in files %}
                        <tr id="{{ file.id }}">
                            <td></td>
                            <td title="{{ file.code }}">{{ file.code }}</td>
                            <td title="{{ file.description }}">{{ file.description }}</td>
                            <td title="{{ file.type.name }}">{{ file.type.name }}</td>
                            <td title="{{ file.sale_opportunity.code }}"> {{ file.sale_opportunity.code }}</td>
                            <td title="{{ file.file_doc }}"><a target="_blank" href="{{ file.file_doc.url }}"><i class="fa fa-search"></i></a></td>
                        </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

</div>
{% endblock %}
{% block bottom_scripts %}
<script src="{% static 'vendor/datatable/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'vendor/datatable/js/dataTables.bootstrap4.min.js' %}"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap4.min.js"></script>
<script src="https://cdn.datatables.net/select/1.2.7/js/dataTables.select.min.js"></script>
<script>
    window.contexto = {
        fecha_hoy: "{{ fecha_hoy }}"
    };
    window.urls = {
        clientes:"{% url 'clients:clients-api' %}",
    }
    function searchAPI($input, $url, $name) {
    $input.select2({
      ajax: {
        delay: 250,
        url: $url,
        dataType: "json",
        data: function (params) {
          var queryParameters = {
            q: params.term
          };
          return queryParameters;
        },
        processResults: function (data) {
          var data = $.map(data, function (obj) {
            obj.text = obj[$name];//full_name;
            return obj;
          });
          return {
            results: data
          };
        }
      },
      placeholder: $input.attr("placeholder"),
      width: "95%",
      minimumInputLength: 3,
      language: {
        inputTooShort: function () {
          return "Ingrese 3 o más caracteres";
        },
        searching: function () {
          return "Buscando ..."
        },
        noResults: function () {
          return "No se encontraron resultados";
        }
      }
    });
  }
</script>
<script>
       searchAPI($("#id_client"), window.urls.clientes, "name");
       $("#id_dates_0").change(function () {
           $("#id_dates_1").attr("min", $(this).val())
       });
       $("#id_dates_1").change(function () {
         $("#id_dates_0").attr("max", $(this).val())
       })
</script>
<script src="{% static 'js/sale_opportunity_files_filter.js' %}"></script>

{% endblock %}